Subject: Re: "atomic" 64-bit math on 32-bit ppc's?

From: Matt Sealey <[email-masked]>
Date: Tue, 04 Sep 2007 18:40:09 +0100

Gabriel Paubert wrote:
> I don't know at all the ZFS code, not any filesystem code for the
> matter. But how many spinlocks would you have to take and release 
> per actual disk operation?

I have no idea, but considering the space supported by the filesystem
it's probably a hell of a lot.

It seems like we've solved it; the Solaris ppc-dev repository has an
updated atomic.c which implements a kernel mutex for 64-bit ops. I've
forwarded this on, hopefully it ISN'T a hell of a lot or this is going
to knock filesystem performance on the head for 32-bit ppc :D

Thanks for your help.

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations